<template>
	<div
		class="md:mt-2 mx-auto w-full lg:w-960 bg-white md:rounded-lg lg:rounded py-2 md:py-0 px-4 md:px-6 md:pt-6 md:pb-20 lg:p-14 mb-5"
	>
		<div class="md:hidden border-b border-grey-20 pt-6"></div>
		<h2
			class="font-secondary-font-regular text-black text-xl md:text-2xl lg:text-base2 leading-6 md:leading-7 lg:leading-10 pt-8 md:pt-0"
		>
			Order information
		</h2>
		<div
			class="grid md:grid-flow-row md:grid-cols-3 lg:grid-cols-4 md:gap-x-12 lg:gap-x-4 justify-between mt-8 mb-4 lg:mt-12 auto-cols-fr"
		>
			<div v-if="shipping_address" class="md:col-span-1">
				<h3 class="font-primary-font-bold text-base leading-6"> Shipping address </h3>
				<p class="pt-2 md:pt-0 lg:pt-4 font-primary-font-light text-base leading-6">
					{{ shipping_address.firstName + ' ' + shipping_address.lastName }}
				</p>
				<p class="font-primary-font-light text-base leading-6">
					{{ shipping_address.streetName }}
				</p>
				<p class="font-primary-font-light text-base leading-6">
					{{ shipping_address.city + ' , ' + shipping_address.country + ' ' + shipping_address.postalCode }}
				</p>
				<p class="lg:pt-2 font-primary-font-light text-base leading-6">
					{{ shipping_address.phone | phone }}
				</p>
			</div>
			<div
				class="grid grid-flow-row lg:grid-flow-col grid-cols-1 lg:grid-cols-2 md:col-span-1 lg:col-span-2 gap-x-4 auto-cols-fr"
			>
				<div class="col-span-1">
					<div class="mt-6 md:mt-0">
						<h3 class="font-primary-font-bold text-base leading-6"> Shipping method </h3>
						<p class="pt-2 md:pt-0 lg:pt-4 font-primary-font-light text-base leading-6">
							{{ shipping_method }}
						</p>
					</div>
				</div>
				<div class="col-span-1 md:pt-6 lg:pt-0">
					<div class="mt-6 md:mt-0">
						<h3 class="font-primary-font-bold text-base leading-6">Payment</h3>
						<p class="pt-2 md:pt-0 lg:pt-4 font-primary-font-light text-base leading-6">
							{{ getcardDetails(payments[0]) }}
						</p>
					</div>
				</div>
			</div>
			<div v-if="billing_address" class="md:col-span-1">
				<div class="mt-6 md:mt-0">
					<h3 class="font-primary-font-bold text-base leading-6"> Billing address </h3>
					<p class="pt-2 md:pt-0 lg:pt-4 font-primary-font-light text-base leading-6">
						{{ billing_address.firstName + ' ' + billing_address.lastName }}
					</p>
					<p class="font-primary-font-light text-base leading-6">
						{{ billing_address.streetName }}
					</p>
					<p class="font-primary-font-light text-base leading-6">
						{{ billing_address.city + ' , ' + billing_address.country + ' ' + billing_address.postalCode }}
					</p>
					<p class="lg:pt-2 font-primary-font-light text-base leading-6">
						{{ billing_address.phone | phone }}
					</p>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
import { mapState } from 'vuex';
export default {
	name: 'MkOrderInfo',
	computed: {
		...mapState('USER_STORE', ['ORDER']),
		shipping_address() {
			return this.ORDER.shippingAddress;
		},
		billing_address() {
			return this.ORDER.billingAddress;
		},
		shipping_method() {
			return this.ORDER.shippingInfo?.shippingMethodName || '';
		},
		payments() {
			return this.ORDER.paymentInfo?.payments || [];
		},
	},
	methods: {
		getcardDetails(value) {
			if (value) {
				const { custom, paymentMethodInfo } = value.obj;
				if (paymentMethodInfo.method === 'CREDIT_CARD') {
					const { fields } = custom;
					const brand = fields.brand.toUpperCase();
					const last4 = fields.last4;
					return brand + ' ' + last4;
				} else if (paymentMethodInfo.method === 'AFFIRM') {
					return 'AFFIRM';
				}
			}
		},
	},
};
</script>
